%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Author: Praveen K. Pilly
% E-mail: advaitp@gmail.com
%
% Reference: Grossberg, S. and Pilly, P. K. (2008). Temporal dyanamics of
% decision-making during motion perception in the visual cortex. Vision
% Research, 48(12), 1345-1373.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function y=modD(x1,x2);

[m,n]=size(x1);
for i=1:m
    for j=1:n
        y(i,j)=mod(x1(i,j),x2);
        if (y(i,j)==0)
           y(i,j)=x2;
        end
    end
end
return